//---
//	builtin:mnt - Mount the SMEM file system
//---
#include "fxBoot/builtin.h"
#include "fxBoot/fs/smemfs.h"
#include "fxBoot/terminal.h"

int mnt_main(int argc, char **argv)
{
	(void)argc;
	(void)argv;
	if (smemfs_mount() != NULL) {
		terminal_write("smemfs mounted !\n");
		return (0);
	}
	terminal_write("error when mounted smemfs :(\n");
	return (84);
}
