#ifndef _SRC_HYPERVISOR_LOADER_LOADER_H__
# define _SRC_HYPERVISOR_LOADER_LOADER_H__

#include <stddef.h>
#include <stdint.h>

/* internal definition */
#include "fxBoot/fs/smemfs.h"
#include "fxBoot/elf.h"

//---
//	Internal primitive
//---
extern int loader_get_header(struct smemfs_inode *file, Elf32_Ehdr *header);
extern int loader_load_image(struct worldctx *worldctx,
				struct smemfs_inode *file, Elf32_Ehdr *header);

extern int loader_reloc_sym(struct worldctx *worldctx,
				struct smemfs_inode *file, Elf32_Ehdr *header);

#endif /*_SRC_HYPERVISOR_LOADER_LOADER_H__*/
